"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function login(data) {
  return request("/app/companyUser/login", data, "POST", "application/json;charset=UTF-8");
}
function getUserInfo(data) {
  return request("/app/companyUser/getUserInfo", data, "GET", "application/json;charset=UTF-8");
}
function bindCompanyUser(data) {
  return request("/app/companyUser/bindCompanyUser", data, "POST", "application/json;charset=UTF-8");
}
exports.bindCompanyUser = bindCompanyUser;
exports.getUserInfo = getUserInfo;
exports.login = login;
