"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getHealthTongueList(data) {
  return request("/app/healthTongue/getHealthTongueList", data, "GET");
}
function getCount(data) {
  return request("/app/healthTongue/getCount", data, "GET");
}
function getHealthTongueById(id) {
  return request("/app/healthTongue/getHealthTongueById/" + id, null, "GET");
}
function add(data) {
  return request("/app/healthTongue/add", data, "POST", "application/json;charset=UTF-8");
}
exports.add = add;
exports.getCount = getCount;
exports.getHealthTongueById = getHealthTongueById;
exports.getHealthTongueList = getHealthTongueList;
