"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function confirm(data) {
  return request("/app/inquiryOrder/confirm", data, "POST", "application/json;charset=UTF-8");
}
function create(data) {
  return request("/app/inquiryOrder/create", data, "POST", "application/json;charset=UTF-8");
}
function pay(data) {
  return request("/app/inquiryOrder/pay", data, "POST", "application/json;charset=UTF-8");
}
function compute(data) {
  return request("/app/inquiryOrder/compute", data, "POST", "application/json;charset=UTF-8");
}
function payment(data) {
  return request("/app/inquiryOrder/payment", data, "POST", "application/json;charset=UTF-8");
}
function cancel(data) {
  return request("/app/inquiryOrder/cancel", data, "POST", "application/json;charset=UTF-8");
}
function getMyInquiryOrderList(data) {
  return request("/app/inquiryOrder/getMyInquiryOrderList", data, "GET");
}
function getMyInquiryOrderById(data) {
  return request("/app/inquiryOrder/getMyInquiryOrderById", data, "GET");
}
function getMyInquiryOrderPingList(data) {
  return request("/app/inquiryOrder/getMyInquiryOrderPingList", data, "GET");
}
function getInquiryOrderById(data) {
  return request("/app/inquiryOrder/getInquiryOrderById", data, "GET");
}
function getCompanyUserInquiryOrderById(data) {
  return request("/app/inquiryOrder/getCompanyUserInquiryOrderById", data, "GET");
}
function pingOrder(data) {
  return request("/app/inquiryOrder/pingOrder", data, "POST", "application/json;charset=UTF-8");
}
function getInquiryTemp(data) {
  return request("/app/inquiryOrder/getInquiryTemp", data, "GET");
}
function getInquiryOrderReport(data) {
  return request("/app/inquiryOrder/getInquiryOrderReport", data, "GET");
}
function getCompanyUserInquiryOrderList(data) {
  return request("/app/inquiryOrder/getCompanyUserInquiryOrderList", data, "GET");
}
exports.cancel = cancel;
exports.compute = compute;
exports.confirm = confirm;
exports.create = create;
exports.getCompanyUserInquiryOrderById = getCompanyUserInquiryOrderById;
exports.getCompanyUserInquiryOrderList = getCompanyUserInquiryOrderList;
exports.getInquiryOrderById = getInquiryOrderById;
exports.getInquiryOrderReport = getInquiryOrderReport;
exports.getInquiryTemp = getInquiryTemp;
exports.getMyInquiryOrderById = getMyInquiryOrderById;
exports.getMyInquiryOrderList = getMyInquiryOrderList;
exports.getMyInquiryOrderPingList = getMyInquiryOrderPingList;
exports.pay = pay;
exports.payment = payment;
exports.pingOrder = pingOrder;
