"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getMyStoreOrderList(data) {
  return request("/app/storeOrder/getMyStoreOrderList", data, "GET");
}
function getCompanyUserStoreOrderList(data) {
  return request("/app/storeOrder/getCompanyUserStoreOrderList", data, "GET");
}
function getMyStoreOrderById(data) {
  return request("/app/storeOrder/getMyStoreOrderById", data, "GET");
}
function getStoreOrderById(data) {
  return request("/app/storeOrder/getStoreOrderById", data, "GET");
}
function getCompanyUserStoreOrderById(data) {
  return request("/app/storeOrder/getCompanyUserStoreOrderById", data, "GET");
}
function pay(data) {
  return request("/app/storeOrder/pay", data, "POST", "application/json;charset=UTF-8");
}
function payment(data) {
  return request("/app/storeOrder/payment", data, "POST", "application/json;charset=UTF-8");
}
function compute(data) {
  return request("/app/storeOrder/compute", data, "POST", "application/json;charset=UTF-8");
}
function cancelOrder(data) {
  return request("/app/storeOrder/cancelOrder", data, "POST", "application/json;charset=UTF-8");
}
function finishOrder(data) {
  return request("/app/storeOrder/finishOrder", data, "POST", "application/json;charset=UTF-8");
}
function getExpress(data) {
  return request("/app/storeOrder/getExpress", data, "POST", "application/json;charset=UTF-8");
}
exports.cancelOrder = cancelOrder;
exports.compute = compute;
exports.finishOrder = finishOrder;
exports.getCompanyUserStoreOrderById = getCompanyUserStoreOrderById;
exports.getCompanyUserStoreOrderList = getCompanyUserStoreOrderList;
exports.getExpress = getExpress;
exports.getMyStoreOrderById = getMyStoreOrderById;
exports.getMyStoreOrderList = getMyStoreOrderList;
exports.getStoreOrderById = getStoreOrderById;
exports.pay = pay;
exports.payment = payment;
