"use strict";
var common_vendor = require("../../../../../common/vendor.js");
var pages_TUIKit_TUICore_server_IComponentServer = require("../IComponentServer.js");
var store_index = require("../../../../../store/index.js");
class TUIProfileServer extends pages_TUIKit_TUICore_server_IComponentServer.IComponentServer {
  constructor(TUICore) {
    super();
    this.store = store_index.store.state.timStore;
    this.currentStore = {};
    this.TUICore = common_vendor.index.$TUIKit;
    this.bindTIMEvent();
  }
  destroyed() {
    this.unbindTIMEvent();
  }
  bindTIMEvent() {
    this.TUICore.on(common_vendor.index.$TIM.EVENT.PROFILE_UPDATED, this.handleProfileUpdated, this);
  }
  unbindTIMEvent() {
    this.TUICore.off(common_vendor.index.$TIM.EVENT.PROFILE_UPDATED, this.handleProfileUpdated);
  }
  handleProfileUpdated(event) {
    console.log(event);
  }
}
exports.TUIProfileServer = TUIProfileServer;
