"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../common/vendor.js");
const _sfc_main = common_vendor.defineComponent({
  props: {
    data: {
      type: Array,
      default: () => {
        return [];
      }
    },
    messageData: {
      type: Object,
      default: () => {
        return {};
      }
    }
  },
  setup(props, ctx) {
    const data = common_vendor.reactive({
      imageInfo: [],
      imageHeight: 0,
      imageWidth: 0,
      message: {}
    });
    common_vendor.watchEffect(() => {
      const DEFAULT_MAX_SIZE = 155;
      let imageWidth = 0;
      let imageHeight = 0;
      data.message = props.messageData;
      data.imageInfo = props.data.info[1];
      if (data.imageInfo.width >= data.imageInfo.height) {
        imageWidth = DEFAULT_MAX_SIZE;
        imageHeight = DEFAULT_MAX_SIZE * data.imageInfo.height / data.imageInfo.width;
      } else {
        imageWidth = DEFAULT_MAX_SIZE * data.imageInfo.width / data.imageInfo.height;
        imageHeight = DEFAULT_MAX_SIZE;
      }
      data.imageWidth = imageWidth + "px";
      data.imageHeight = imageHeight + "px";
    });
    const handlePreviewImage = () => {
      console.error(props.data.info[0].url, "----linda");
      common_vendor.index.previewImage({
        current: props.data.info[0].url,
        urls: [props.data.info[0].url]
      });
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      handlePreviewImage
    });
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: _ctx.data.info[1].url,
    b: _ctx.imageHeight,
    c: _ctx.imageWidth,
    d: common_vendor.n("content-" + _ctx.message.flow),
    e: common_vendor.o((...args) => _ctx.handlePreviewImage && _ctx.handlePreviewImage(...args))
  };
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-b2da855c"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-elements/message-image.vue"]]);
wx.createComponent(Component);
