"use strict";
var common_vendor = require("../common/vendor.js");
var api_doctor = require("../api/doctor.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      imgs: []
    };
  },
  onLoad(options) {
    this.doctorId = options.doctorId;
  },
  onShow() {
    this.getDoctorDetails();
  },
  methods: {
    showImg(index) {
      common_vendor.index.previewImage({
        current: index,
        urls: this.imgs
      });
    },
    getDoctorDetails() {
      var data = {
        doctorId: this.doctorId
      };
      this.imgs = [];
      api_doctor.getDoctorDetails(data).then((res) => {
        if (res.code == 200) {
          this.doctor = res.data.doctor;
          if (this.doctor.certificateImages != null) {
            this.imgs.concat(this.doctor.certificateImages);
          }
          if (this.doctor.practiseImages != null) {
            this.imgs.concat(this.doctor.practiseImages);
          }
          console.log(this.imgs);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.imgs, (img, index, i0) => {
      return {
        a: common_vendor.o(($event) => $options.showImg(index)),
        b: img
      };
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-7d8e10e6"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_doctor/doctorImgs.vue"]]);
wx.createPage(MiniProgramPage);
