"use strict";
var common_vendor = require("../common/vendor.js");
var api_doctor = require("../api/doctor.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      isFollow: false,
      doctorId: null,
      doctor: null,
      department: null,
      hospital: null,
      pings: []
    };
  },
  onLoad(options) {
    this.doctorId = options.doctorId;
  },
  onShow() {
    this.getDoctorDetails();
  },
  methods: {
    showImg() {
      var data = [];
      data.push(this.doctor.avatar);
      common_vendor.index.previewImage({
        current: 0,
        urls: data
      });
    },
    getDoctorDetails() {
      var data = {
        doctorId: this.doctorId
      };
      api_doctor.getDoctorDetails(data).then((res) => {
        if (res.code == 200) {
          this.doctor = res.data.doctor;
          this.department = res.data.department;
          this.hospital = res.data.hospital;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_rate2 = common_vendor.resolveComponent("u-rate");
  _easycom_u_rate2();
}
const _easycom_u_rate = () => "../uni_modules/uview-plus/components/u-rate/u-rate.js";
if (!Math) {
  _easycom_u_rate();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o(($event) => $options.showImg()),
    b: $data.doctor.avatar,
    c: common_vendor.t($data.doctor.doctorName),
    d: common_vendor.o(($event) => $data.doctor.pingStar = $event),
    e: common_vendor.p({
      activeColor: "#ffc603",
      count: "5",
      readonly: true,
      modelValue: $data.doctor.pingStar
    }),
    f: common_vendor.t($data.department.deptName),
    g: common_vendor.t($data.doctor.position),
    h: common_vendor.t($data.hospital.hospitalName),
    i: common_vendor.t($data.doctor.speciality),
    j: common_vendor.t($data.doctor.introduction)
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-9ef1d4f8"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_doctor/doctorInfo.vue"]]);
wx.createPage(MiniProgramPage);
