"use strict";
var common_vendor = require("../common/vendor.js");
require("../api/common.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      searchHistory: [],
      searchKey: "",
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight
    };
  },
  onLoad() {
    this.searchHistory = this.$getHisSearch();
  },
  methods: {
    clearHistory() {
      this.$clearHisSearch();
      this.searchHistory = this.$getHisSearch();
    },
    back() {
      common_vendor.index.navigateBack({
        delta: 1
      });
    },
    goSearchList(key) {
      common_vendor.index.navigateTo({
        url: "/pages_doctor/doctorList?keyword=" + key
      });
    },
    toSearchList() {
      if (this.searchKey != "") {
        this.$addHisSearch(this.searchKey);
      }
      common_vendor.index.navigateTo({
        url: "/pages_doctor/doctorList?keyword=" + this.searchKey
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.statusBarHeight,
    b: common_vendor.o(($event) => $options.back()),
    c: common_vendor.o(($event) => $options.toSearchList($data.searchKey)),
    d: $data.searchKey,
    e: common_vendor.o(($event) => $data.searchKey = $event.detail.value),
    f: common_vendor.o((...args) => $options.toSearchList && $options.toSearchList(...args)),
    g: common_vendor.o(($event) => $options.clearHistory()),
    h: common_vendor.f($data.searchHistory, (item, index, i0) => {
      return {
        a: common_vendor.t(item),
        b: common_vendor.o(($event) => $options.goSearchList(item), index),
        c: index
      };
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-f6a74fa4"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/search.vue"]]);
wx.createPage(MiniProgramPage);
