"use strict";
var common_vendor = require("../common/vendor.js");
var api_test = require("../api/test.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onShow() {
  },
  onShareAppMessage(res) {
    if (this.$isLogin()) {
      return {
        title: "\u5065\u5EB7\u81EA\u6D4B",
        path: "/pages_index/testList",
        imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png"
      };
    }
  },
  onShareTimeline(res) {
    if (this.utils.isLogin()) {
      return {
        title: "\u5065\u5EB7\u81EA\u6D4B",
        imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png"
      };
    }
  },
  methods: {
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        pageNum: page.num,
        pageSize: page.size
      };
      api_test.getTestList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    showDetail(item) {
      common_vendor.index.navigateTo({
        url: "/pages_index/testDetails?tempId=" + item.tempId
      });
    }
  }
};
if (!Array) {
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  _easycom_mescroll_body2();
}
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  _easycom_mescroll_body();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.dataList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.name),
        b: common_vendor.t(item.title),
        c: common_vendor.t(item.peopleNum),
        d: common_vendor.t(item.num),
        e: common_vendor.t(item.time),
        f: item.img,
        g: index,
        h: common_vendor.o(($event) => $options.showDetail(item), index)
      };
    }),
    b: common_vendor.sr("mescrollRef", "75611768-0"),
    c: common_vendor.o($options.mescrollInit),
    d: common_vendor.o($options.downCallback),
    e: common_vendor.o($options.upCallback),
    f: common_vendor.p({
      top: "0rpx",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/testList.vue"]]);
_sfc_main.__runtimeHooks = 6;
wx.createPage(MiniProgramPage);
