"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../common/vendor.js");
var api_companyUser = require("../api/companyUser.js");
var api_inquiryOrder = require("../api/inquiryOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      companyId: null,
      companyUserId: null,
      temps: [],
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight,
      orderKey: null,
      patient: null,
      durations: [
        {
          name: "\u4E00\u5468\u5185",
          disabled: false
        },
        {
          name: "\u4E00\u4E2A\u6708\u5185",
          disabled: false
        },
        {
          name: "\u534A\u5E74\u5185",
          disabled: false
        },
        {
          name: "\u534A\u5E74\u4EE5\u4E0A",
          disabled: false
        }
      ],
      isVisits: [
        {
          name: "\u672A\u5C31\u8BCA",
          disabled: false
        },
        {
          name: "\u5C31\u8BCA\u8FC7",
          disabled: false
        }
      ],
      form: {
        title: "",
        drug: "",
        isVisit: "\u5C31\u8BCA\u8FC7",
        duration: "\u4E00\u5468\u5185"
      },
      rules: {
        title: [
          {
            required: true,
            message: "\u8BF7\u8F93\u5165\u60A8\u7684\u75C5\u60C5",
            trigger: ["change", "blur"]
          }
        ],
        drugs: [
          {
            required: true,
            message: "\u8BF7\u8F93\u5165\u6B63\u5728\u670D\u7528\u836F\u54C1",
            trigger: ["change", "blur"]
          }
        ],
        durations: [
          {
            required: true,
            message: "\u8BF7\u9009\u62E9\u672C\u6B21\u60A3\u75C5\u591A\u4E45",
            trigger: ["change", "blur"]
          }
        ],
        isVisit: [
          {
            required: true,
            message: "\u8BF7\u9009\u62E9\u662F\u5426\u53BB\u533B\u9662\u5C31\u8BCA\u8FC7",
            trigger: ["change", "blur"]
          }
        ]
      },
      inquiryType: null,
      inquirySubType: null,
      orderType: null,
      doctorId: null,
      fileList1: [],
      fileList2: [],
      fileList3: [],
      isShare: null
    };
  },
  onLoad(options) {
    if (!this.$isEmpty(options.isShare)) {
      this.isShare = options.isShare;
    } else {
      common_vendor.index.hideShareMenu();
    }
    console.log(options);
    if (!this.$isEmpty(options.companyId)) {
      this.companyId = options.companyId;
    }
    if (!this.$isEmpty(options.companyUserId)) {
      this.companyUserId = options.companyUserId;
    }
    console.log(this.companyId);
    console.log(this.companyUserId);
    this.inquiryType = options.inquiryType;
    this.inquirySubType = options.inquirySubType;
    this.orderType = options.orderType;
    this.doctorId = options.doctorId;
    console.log(this.inquiryType);
    console.log(this.orderType);
    console.log(this.doctorId);
    this.getInquiryTemp();
  },
  onShow() {
    if (this.$isLogin()) {
      if (!this.$isEmpty(this.companyUserId)) {
        let data = { companyUserId: this.companyUserId };
        api_companyUser.bindCompanyUser(data).then((res) => {
          if (res.code == 200)
            ;
        }, (rej) => {
        });
      }
    }
    var that = this;
    common_vendor.index.$on("refreshOrderPatient", (res) => {
      that.patient = res;
    });
    this.confirm();
  },
  onReady() {
    this.$refs.uForm.setRules(this.rules);
  },
  onShareAppMessage(res) {
    common_vendor.index.showShareMenu({
      withShareTicket: true
    });
    wx.updateShareMenu({
      isPrivateMessage: true,
      withShareTicket: false,
      success(res2) {
        console.log("updateShareMenu: ", res2);
      },
      fail() {
      }
    });
    return {
      title: "\u5FA1\u541B\u65B9\u4E92\u8054\u7F51\u533B\u9662--\u5065\u5EB7\u4F1A\u8BCA",
      path: "/pages_order/inquiryForm2_2?inquiryType=2&orderType=2&inquirySubType=" + this.inquirySubType + "&companyId=" + this.companyId + "&companyUserId=" + this.companyUserId
    };
  },
  methods: {
    leftClick() {
      console.log("leftClick");
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u8BA4\u5173\u95ED\u5417",
        success: function(res) {
          if (res.confirm) {
            common_vendor.index.navigateBack();
          } else if (res.cancel)
            ;
        }
      });
    },
    showImg(type) {
      if (type == 1) {
        var imgs = [
          "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/0640bd4b80ba4491842b9d20d7238616.png"
        ];
        common_vendor.index.previewImage({
          current: 0,
          urls: imgs
        });
      } else if (type == 2) {
        var imgs = [
          "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/2c9f24e5c3fc458f8bcb30a4fb0619be.png"
        ];
        common_vendor.index.previewImage({
          current: 0,
          urls: imgs
        });
      }
    },
    getInquiryTemp() {
      let data = {};
      api_inquiryOrder.getInquiryTemp(data).then((res) => {
        if (res.code == 200) {
          this.temps = res.data;
          this.temps.forEach(function(element) {
            element.options = JSON.parse(element.itemJson);
          });
          console.log(this.temps1);
        }
      }, (rej) => {
      });
    },
    submitOrder() {
      if (this.patient == null) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u5C31\u8BCA\u4EBA"
        });
        return;
      }
      if (this.orderKey == null) {
        this.confirm();
      }
      var reportImages = [];
      this.fileList1.forEach(function(element) {
        reportImages.push(element.url);
      });
      var tongueImages = [];
      this.fileList2.forEach(function(element) {
        tongueImages.push(element.url);
      });
      var faceImages = [];
      this.fileList3.forEach(function(element) {
        faceImages.push(element.url);
      });
      var forms = [];
      this.temps.forEach(function(element) {
        var item = {
          title: element.title,
          option: element.checks
        };
        forms.push(item);
      });
      var that = this;
      this.$refs.uForm.validate().then((res) => {
        var data = {
          companyId: that.companyId,
          companyUserId: that.companyUserId,
          orderKey: this.orderKey,
          patientId: this.patient.patientId,
          title: this.form.title,
          drugs: this.form.drugs,
          isVisit: this.form.isVisit,
          duration: this.form.duration,
          inquiryType: this.inquiryType,
          inquirySubType: this.inquirySubType,
          orderType: this.orderType,
          doctorId: this.doctorId,
          reportImages: reportImages.toString(),
          tongueImages: tongueImages.toString(),
          faceImages: faceImages.toString(),
          formJson: JSON.stringify(forms)
        };
        common_vendor.index.showLoading({
          title: "\u6B63\u5728\u5904\u7406\u4E2D..."
        });
        api_inquiryOrder.create(data).then((res2) => {
          common_vendor.index.hideLoading();
          if (res2.code == 200) {
            var temps = ["YyaBF62vH1GPKY0tume8C2C5UETxcKrVsaTKdBW5eok"];
            common_vendor.index.requestSubscribeMessage({
              tmplIds: temps,
              success(e) {
                setTimeout(function() {
                  common_vendor.index.redirectTo({
                    url: "./inquiryPay?orderId=" + res2.order.orderId
                  });
                }, 200);
              },
              fail(e) {
                setTimeout(function() {
                  common_vendor.index.redirectTo({
                    url: "./inquiryPay?orderId=" + res2.order.orderId
                  });
                }, 200);
              }
            });
            return;
          } else {
            common_vendor.index.showToast({
              icon: "none",
              title: res2.msg
            });
          }
        }, (rej) => {
        });
      }).catch((errors) => {
      });
    },
    confirm() {
      let data = {};
      api_inquiryOrder.confirm(data).then((res) => {
        if (res.code == 200) {
          this.orderKey = res.orderKey;
        }
      }, (rej) => {
      });
    },
    addPatient() {
      common_vendor.index.navigateTo({
        url: "/pages_user/patient"
      });
    },
    deletePic(event) {
      this[`fileList${event.name}`].splice(event.index, 1);
    },
    async afterRead(event) {
      let lists = [].concat(event.file);
      let fileListLen = this[`fileList${event.name}`].length;
      lists.map((item) => {
        this[`fileList${event.name}`].push(__spreadProps(__spreadValues({}, item), {
          status: "uploading",
          message: "\u4E0A\u4F20\u4E2D"
        }));
      });
      for (let i = 0; i < lists.length; i++) {
        const result = await this.uploadFilePromise(lists[i].url);
        let item = this[`fileList${event.name}`][fileListLen];
        this[`fileList${event.name}`].splice(fileListLen, 1, Object.assign(item, {
          status: "success",
          message: "",
          url: result
        }));
        fileListLen++;
      }
    },
    uploadFilePromise(url) {
      return new Promise((resolve, reject) => {
        common_vendor.index.uploadFile({
          url: common_vendor.index.getStorageSync("requestPath") + "/app/common/uploadOSS",
          filePath: url,
          name: "file",
          formData: {
            user: "test"
          },
          success: (res) => {
            setTimeout(() => {
              console.log(JSON.parse(res.data).url);
              resolve(JSON.parse(res.data).url);
            }, 1e3);
          }
        });
      });
    }
  }
};
if (!Array) {
  const _easycom_u_navbar2 = common_vendor.resolveComponent("u-navbar");
  const _easycom_u_alert2 = common_vendor.resolveComponent("u-alert");
  const _easycom_u__textarea2 = common_vendor.resolveComponent("u--textarea");
  const _easycom_u_form_item2 = common_vendor.resolveComponent("u-form-item");
  const _easycom_u_radio2 = common_vendor.resolveComponent("u-radio");
  const _easycom_u_radio_group2 = common_vendor.resolveComponent("u-radio-group");
  const _easycom_u_upload2 = common_vendor.resolveComponent("u-upload");
  const _easycom_u_checkbox2 = common_vendor.resolveComponent("u-checkbox");
  const _easycom_u_checkbox_group2 = common_vendor.resolveComponent("u-checkbox-group");
  const _easycom_u_form2 = common_vendor.resolveComponent("u-form");
  (_easycom_u_navbar2 + _easycom_u_alert2 + _easycom_u__textarea2 + _easycom_u_form_item2 + _easycom_u_radio2 + _easycom_u_radio_group2 + _easycom_u_upload2 + _easycom_u_checkbox2 + _easycom_u_checkbox_group2 + _easycom_u_form2)();
}
const _easycom_u_navbar = () => "../uni_modules/uview-plus/components/u-navbar/u-navbar.js";
const _easycom_u_alert = () => "../uni_modules/uview-plus/components/u-alert/u-alert.js";
const _easycom_u__textarea = () => "../uni_modules/uview-plus/components/u--textarea/u--textarea.js";
const _easycom_u_form_item = () => "../uni_modules/uview-plus/components/u-form-item/u-form-item.js";
const _easycom_u_radio = () => "../uni_modules/uview-plus/components/u-radio/u-radio.js";
const _easycom_u_radio_group = () => "../uni_modules/uview-plus/components/u-radio-group/u-radio-group.js";
const _easycom_u_upload = () => "../uni_modules/uview-plus/components/u-upload/u-upload.js";
const _easycom_u_checkbox = () => "../uni_modules/uview-plus/components/u-checkbox/u-checkbox.js";
const _easycom_u_checkbox_group = () => "../uni_modules/uview-plus/components/u-checkbox-group/u-checkbox-group.js";
const _easycom_u_form = () => "../uni_modules/uview-plus/components/u-form/u-form.js";
if (!Math) {
  (_easycom_u_navbar + _easycom_u_alert + _easycom_u__textarea + _easycom_u_form_item + _easycom_u_radio + _easycom_u_radio_group + _easycom_u_upload + _easycom_u_checkbox + _easycom_u_checkbox_group + _easycom_u_form)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o($options.leftClick),
    b: common_vendor.p({
      title: "\u75C7\u72B6\u63CF\u8FF0"
    }),
    c: $data.statusBarHeight,
    d: common_vendor.p({
      fontSize: "16",
      description: "\u5C0A\u656C\u7684\u7528\u6237\uFF0C\u60A8\u597D!\r\n			\u4E3A\u4E86\u60A8\u7684\u5065\u5EB7\uFF0C\u8BF7\u8BA4\u771F\u586B\u5199\u4EE5\u4E0B\u5185\u5BB9\uFF0C\u4EE5\u4FBF\u66F4\u597D\u5730\u4E3A\u60A8\u63D0\u4F9B\u54A8\u8BE2\u5EFA\u8BAE"
    }),
    e: $data.patient == null
  }, $data.patient == null ? {
    f: common_vendor.o(($event) => $options.addPatient())
  } : {}, {
    g: $data.patient != null
  }, $data.patient != null ? common_vendor.e({
    h: common_vendor.t($data.patient.patientName),
    i: $data.patient.sex == 1
  }, $data.patient.sex == 1 ? {} : {}, {
    j: $data.patient.sex == 2
  }, $data.patient.sex == 2 ? {} : {}, {
    k: common_vendor.t(_ctx.$getAge($data.patient.birthday)),
    l: common_vendor.t(_ctx.$parseIdCard($data.patient.idCard)),
    m: common_vendor.o(($event) => $options.addPatient())
  }) : {}, {
    n: common_vendor.o(($event) => $data.form.title = $event),
    o: common_vendor.p({
      maxlength: "500",
      placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9",
      count: true,
      modelValue: $data.form.title
    }),
    p: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u63CF\u8FF0\u60A8\u7684\u75C5\u60C5",
      prop: "title"
    }),
    q: common_vendor.o(($event) => $data.form.drugs = $event),
    r: common_vendor.p({
      maxlength: "500",
      placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9",
      count: true,
      modelValue: $data.form.drugs
    }),
    s: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u6B63\u5728\u670D\u7528\u836F\u54C1",
      prop: "drugs"
    }),
    t: common_vendor.f($data.durations, (item, index, i0) => {
      return {
        a: index,
        b: "2a2257e4-9-" + i0 + ",2a2257e4-8",
        c: common_vendor.p({
          customStyle: {
            marginRight: "5px"
          },
          label: item.name,
          name: item.name,
          activeColor: "#C39A58"
        })
      };
    }),
    v: common_vendor.o(($event) => $data.form.duration = $event),
    w: common_vendor.p({
      iconPlacement: "left",
      modelValue: $data.form.duration
    }),
    x: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u672C\u6B21\u60A3\u75C5\u591A\u4E45\u4E86",
      prop: "duration"
    }),
    y: common_vendor.f($data.isVisits, (item, index, i0) => {
      return {
        a: index,
        b: "2a2257e4-12-" + i0 + ",2a2257e4-11",
        c: common_vendor.p({
          customStyle: {
            marginRight: "5px"
          },
          label: item.name,
          name: item.name,
          activeColor: "#C39A58"
        })
      };
    }),
    z: common_vendor.o(($event) => $data.form.isVisit = $event),
    A: common_vendor.p({
      iconPlacement: "left",
      modelValue: $data.form.isVisit
    }),
    B: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u6B64\u6B21\u75C5\u60C5\u662F\u5426\u53BB\u533B\u9662\u5C31\u8BCA\u8FC7",
      prop: "isVisit"
    }),
    C: common_vendor.o($options.afterRead),
    D: common_vendor.o($options.deletePic),
    E: common_vendor.p({
      fileList: $data.fileList1,
      name: "1",
      multiple: true,
      maxCount: 4
    }),
    F: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u4E0A\u4F20\u68C0\u6D4B\u62A5\u544A\u6216\u60A3\u5904\u7167\u7247"
    }),
    G: common_vendor.o(($event) => $options.showImg(1)),
    H: common_vendor.o($options.afterRead),
    I: common_vendor.o($options.deletePic),
    J: common_vendor.p({
      fileList: $data.fileList2,
      name: "2",
      multiple: true,
      maxCount: 4
    }),
    K: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u4E0A\u4F20\u820C\u82D4\u7167\u7247"
    }),
    L: common_vendor.o(($event) => $options.showImg(2)),
    M: common_vendor.o($options.afterRead),
    N: common_vendor.o($options.deletePic),
    O: common_vendor.p({
      fileList: $data.fileList3,
      name: "3",
      multiple: true,
      maxCount: 4
    }),
    P: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      label: "\u4E0A\u4F20\u9762\u90E8\u7167\u7247"
    }),
    Q: common_vendor.f($data.temps, (item, index, i0) => {
      return common_vendor.e({
        a: item.tempType == 1
      }, item.tempType == 1 ? {
        b: common_vendor.t(index + 1),
        c: common_vendor.t(item.title)
      } : {}, {
        d: item.tempType == 1
      }, item.tempType == 1 ? {
        e: common_vendor.f(item.options, (option, subIndex, i1) => {
          return {
            a: option.name,
            b: "2a2257e4-20-" + i0 + "-" + i1 + "," + ("2a2257e4-19-" + i0),
            c: common_vendor.p({
              size: "28",
              shape: "circle",
              activeColor: "#C39A58",
              label: option.name,
              name: option.name
            })
          };
        }),
        f: "2a2257e4-19-" + i0 + ",2a2257e4-2",
        g: common_vendor.o(($event) => item.checks = $event),
        h: common_vendor.p({
          placement: "column",
          modelValue: item.checks
        })
      } : {});
    }),
    R: common_vendor.f($data.temps, (item, index, i0) => {
      return common_vendor.e({
        a: item.tempType == 2
      }, item.tempType == 2 ? {
        b: common_vendor.t(index + 1),
        c: common_vendor.t(item.title)
      } : {}, {
        d: item.tempType == 2
      }, item.tempType == 2 ? {
        e: common_vendor.f(item.options, (option, subIndex, i1) => {
          return {
            a: option.name,
            b: "2a2257e4-22-" + i0 + "-" + i1 + "," + ("2a2257e4-21-" + i0),
            c: common_vendor.p({
              size: "28",
              shape: "circle",
              activeColor: "#C39A58",
              label: option.name,
              name: option.name
            })
          };
        }),
        f: "2a2257e4-21-" + i0 + ",2a2257e4-2",
        g: common_vendor.o(($event) => item.checks = $event),
        h: common_vendor.p({
          placement: "column",
          modelValue: item.checks
        })
      } : {});
    }),
    S: common_vendor.f($data.temps, (item, index, i0) => {
      return common_vendor.e({
        a: item.tempType == 3
      }, item.tempType == 3 ? {
        b: common_vendor.t(index + 1),
        c: common_vendor.t(item.title)
      } : {}, {
        d: item.tempType == 3
      }, item.tempType == 3 ? {
        e: common_vendor.f(item.options, (option, subIndex, i1) => {
          return {
            a: option.name,
            b: "2a2257e4-24-" + i0 + "-" + i1 + "," + ("2a2257e4-23-" + i0),
            c: common_vendor.p({
              size: "28",
              shape: "circle",
              activeColor: "#C39A58",
              label: option.name,
              name: option.name
            })
          };
        }),
        f: "2a2257e4-23-" + i0 + ",2a2257e4-2",
        g: common_vendor.o(($event) => item.checks = $event),
        h: common_vendor.p({
          placement: "column",
          modelValue: item.checks
        })
      } : {});
    }),
    T: common_vendor.f($data.temps, (item, index, i0) => {
      return common_vendor.e({
        a: item.tempType == 4
      }, item.tempType == 4 ? {
        b: common_vendor.t(index + 1),
        c: common_vendor.t(item.title)
      } : {}, {
        d: item.tempType == 4
      }, item.tempType == 4 ? {
        e: common_vendor.f(item.options, (option, subIndex, i1) => {
          return {
            a: option.name,
            b: "2a2257e4-26-" + i0 + "-" + i1 + "," + ("2a2257e4-25-" + i0),
            c: common_vendor.p({
              size: "28",
              shape: "circle",
              activeColor: "#C39A58",
              label: option.name,
              name: option.name
            })
          };
        }),
        f: "2a2257e4-25-" + i0 + ",2a2257e4-2",
        g: common_vendor.o(($event) => item.checks = $event),
        h: common_vendor.p({
          placement: "column",
          modelValue: item.checks
        })
      } : {});
    }),
    U: common_vendor.sr("uForm", "2a2257e4-2"),
    V: common_vendor.p({
      rules: $data.rules,
      model: $data.form,
      labelPosition: "left"
    }),
    W: common_vendor.o(($event) => $options.submitOrder())
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-2a2257e4"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/inquiryForm2_2.vue"]]);
_sfc_main.__runtimeHooks = 2;
wx.createPage(MiniProgramPage);
