"use strict";
var common_vendor = require("../common/vendor.js");
var api_storeOrder = require("../api/storeOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      orderId: null,
      deliverySn: null,
      express: {},
      expressList: []
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
    this.getExpress();
  },
  methods: {
    getExpress() {
      var data = { orderId: this.orderId };
      api_storeOrder.getExpress(data).then((res) => {
        if (res.code == 200) {
          this.express = res.express;
          this.expressList = res.data;
          this.deliverySn = res.deliverySn;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    back() {
      common_vendor.index.navigateBack();
    },
    copyOrderSn(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    },
    callPhone(phone) {
      common_vendor.index.makePhoneCall({
        phoneNumber: phone
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.t($data.deliverySn),
    b: common_vendor.o(($event) => $options.copyOrderSn($data.deliverySn)),
    c: $data.expressList != null
  }, $data.expressList != null ? {
    d: common_vendor.t($data.expressList.shipperName)
  } : {}, {
    e: $data.expressList != null
  }, $data.expressList != null ? common_vendor.e({
    f: $data.expressList.Traces != null
  }, $data.expressList.Traces != null ? {
    g: common_vendor.f($data.expressList.Traces, (item, index, i0) => {
      return {
        a: common_vendor.t(item.AcceptStation),
        b: common_vendor.t(item.AcceptTime),
        c: index
      };
    })
  } : {}) : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderDelivery.vue"]]);
wx.createPage(MiniProgramPage);
