"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../common/vendor.js");
var api_user = require("../../api/user.js");
var api_healthRecords = require("../../api/healthRecords.js");
require("../../common/request.js");
const _sfc_main = {
  data() {
    return {
      baseUrl: common_vendor.index.getStorageSync("requestPath"),
      show: false,
      focus: false,
      chooseIndex: 0,
      chooseItemIdx: 0,
      writeVal: "",
      btnLoading: false,
      id: void 0,
      formType: "",
      title: "",
      user: {},
      list: [],
      dietList: [
        {
          name: "\u4E09\u9910\u89C4\u5F8B",
          type: 3,
          value: "",
          question: [
            {
              name: "\u975E\u5E38\u89C4\u5F8B",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6BD4\u8F83\u89C4\u5F8B",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6CA1\u6709\u89C4\u5F8B",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u5C31\u9910\u4E60\u60EF",
          type: 3,
          value: "",
          question: [
            {
              name: "\u66B4\u996E\u66B4\u98DF",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u538B\u529B\u5927\u7ECF\u5E38\u8FDB\u98DF",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C31\u5916\u5C31\u9910\u591A",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u591C\u5BB5",
              value: 4,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E0D\u5403\u65E9\u9910",
              value: 5,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u8FDB\u98DF\u901F\u5EA6",
          type: 3,
          value: "",
          question: [
            {
              name: "\u5927\u7EA620-30\u5206\u949F",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u7EA610-20\u5206\u949F",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u7EA65-10\u5206\u949F",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u9152\u7C7B",
          type: 3,
          value: "",
          question: [
            {
              name: "\u4ECE\u4E0D\u559D\u9152",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6BCF\u5929",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u4E8E3\u6B21/\u5468",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C0F\u4E8E3\u6B21/\u5468",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u5E73\u65F6\u5E94\u916C",
          type: 3,
          value: "",
          question: [
            {
              name: "\u591A",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E00\u822C",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C11",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6BCF\u5468\u591A\u5C11\u6B21",
              value: 3,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u559D\u6C34\u91CF",
          type: 3,
          value: "",
          question: [
            {
              name: "\u4F4E\u4E8E1000ml",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "1000ml-1500ml",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "1500ml-1700ml",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "1700ml\u4EE5\u4E0A",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u6BCF\u5929\u5403\u7684\u98DF\u7269\u79CD\u7C7B\u591A\u5417\uFF1F",
          type: 3,
          value: "",
          question: [
            {
              name: "\u79CD\u7C7B\u975E\u5E38\u591A\uFF0C12\u79CD\u4EE5\u4E0A",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E00\u822C6-10\u79CD",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u79CD\u7C7B\u8F83\u5C113-5\u79CD",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u79CD\u7C7B\u6BD4\u8F83\u56FA\u5B9A",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u662F\u5426\u6709\u62BD\u70DF\u4E60\u60EF\uFF1F",
          type: 3,
          value: "",
          question: [
            {
              name: "\u662F",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u65E0",
              value: 2,
              isWrite: 0,
              writeVal: ""
            }
          ]
        }
      ],
      sleepList: [
        {
          name: "\u7761\u7720\u72B6\u51B5",
          type: 3,
          value: "",
          question: [
            {
              name: "\u5F88\u5DEE",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5DEE",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E00\u822C",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u826F\u597D",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u7761\u7720\u65F6\u95F4",
          type: 3,
          value: "",
          question: [
            {
              name: "\uFF1C6\u5C0F\u65F6",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "6-8\u5C0F\u65F6",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "9-10\u5C0F\u65F6",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\uFF1E10\u5C0F\u65F6",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u7ECF\u5E38\u71AC\u591C\u5417\uFF1F",
          type: 3,
          value: "",
          question: [
            {
              name: "\u7ECF\u5E38",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5076\u5C14",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5F88\u5C11",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u65E0",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        }
      ],
      sportList: [
        {
          name: "\u65E5\u5E38\u8FD0\u52A8\u91CF",
          type: 3,
          value: "",
          question: [
            {
              name: "\u4E45\u5750\u4E0D\u52A8",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8F7B\u5EA6\u8FD0\u52A8(3000-6000\u6B65)",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E2D\u5EA6\u8FD0\u52A8(6000-10000\u6B65)",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u91CF\u8FD0\u52A8(\u4E00\u4E07\u6B65\u4EE5\u4E0A)",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u65E5\u5E38\u662F\u5426\u6709\u8FD0\u52A8\uFF1F",
          type: 2,
          value: "",
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6563\u6B65",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8DD1\u6B65",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u81EA\u884C\u8F66",
              value: 4,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u821E\u8E48\u6216\u592A\u6781\u62F3",
              value: 5,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E0A\u4E0B\u697C\u68AF",
              value: 6,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u7403\u7C7B",
              value: 7,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6E38\u6CF3",
              value: 8,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5176\u4ED6",
              value: 9,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u5E73\u5747\u6BCF\u5468\u953B\u70BC\u6B21\u6570\uFF1F",
          type: 3,
          value: "",
          question: [
            {
              name: "\u22642\u6B21",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "3-5\u6B21",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u22655\u6B21",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u5E73\u5747\u6BCF\u6B21\u953B\u70BC\u65F6\u95F4\u662F\u591A\u5C11\u5206\u949F\uFF1F",
          type: 3,
          value: "",
          question: [
            {
              name: "\u226420",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "20-40",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "41-60",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\uFF1E60",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        }
      ]
    };
  },
  onLoad(option) {
    this.id = option.id;
    this.formType = option.formType;
    const formTypeOption = {
      "healthHistory": "\u586B\u5199\u75BE\u75C5\u53F2",
      "symptomHistory": "\u586B\u5199\u75C7\u72B6\u53F2",
      "familyHistory": "\u586B\u5199\u5BB6\u65CF\u53F2",
      "drugHistory": "\u586B\u5199\u7528\u836F\u53F2",
      "allergyHistory": "\u586B\u5199\u8FC7\u654F\u53F2",
      "dietList": "\u996E\u98DF",
      "sleepList": "\u7761\u7720\u60C5\u51B5",
      "sportList": "\u8FD0\u52A8"
    };
    this.title = formTypeOption[this.formType] || "";
    common_vendor.index.setNavigationBarTitle({
      title: this.title || ""
    });
  },
  onShow() {
    this.user = {};
    this.$isLogin().then((res) => {
      if (res) {
        this.getUserInfo();
      }
    }, (rej) => {
    });
  },
  methods: {
    getUserInfo() {
      api_user.getUserInfo().then((res) => {
        if (res.code == 200) {
          if (res.user != null) {
            this.user = res.user;
            if (this.formType == "dietList" || this.formType == "sleepList" || this.formType == "sportList") {
              this.getHealthLife();
            } else {
              this.getMyRecord();
            }
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    },
    handleEdit(index, i) {
      this.chooseIndex = index;
      this.chooseItemIdx = i;
      this.focus = true;
      this.writeVal = this.list[index].question[i].writeVal;
      this.show = true;
    },
    close() {
      this.focus = false;
      this.show = false;
    },
    handleinput(e) {
      this.writeVal = e.detail.value;
    },
    popSubmit() {
      this.list[this.chooseIndex].question[this.chooseItemIdx].writeVal = this.writeVal;
      this.close();
    },
    getHealthLife() {
      const param = {
        type: this.formType == "dietList" ? 1 : this.formType == "sleepList" ? 2 : this.formType == "sportList" ? 3 : void 0,
        userId: this.user.userId
      };
      api_healthRecords.HealthLife(param).then((res) => {
        if (res.code == 200 && res.data) {
          this.list = JSON.parse(res.data.formJson);
        }
      }, (rej) => {
      });
    },
    getMyRecord() {
      api_healthRecords.myRecord().then((res) => {
        if (res.code == 200 && res.data) {
          if (this.formType) {
            this.list = res.data[this.formType] ? JSON.parse(res.data[this.formType]) : [];
          }
        }
      }, (rej) => {
      });
    },
    handleChoose(item, option) {
      if (this.formType == "dietList" || this.formType == "sleepList" || this.formType == "sportList")
        return;
      if (item.name == "\u5E73\u65F6\u5E94\u916C" && option.name === "\u6BCF\u5468\u591A\u5C11\u6B21")
        return;
      item.value = option.name;
    },
    handleMultiple(item, index, option) {
      if (this.formType == "dietList" || this.formType == "sleepList" || this.formType == "sportList")
        return;
      const arry = item.value ? item.value.split(",") : [];
      if (arry.indexOf(option.name) === -1) {
        arry.push(option.name);
        item.value = arry.join(",");
      } else {
        arry.splice(arry.indexOf(option.name), 1);
        item.value = arry.join(",");
      }
    },
    handelSubmit() {
      for (let i = 0; i < this.list.length; i++) {
        if (!this.list[i].value) {
          common_vendor.index.showToast({
            title: "\u8BF7\u68C0\u67E5\u5065\u5EB7\u6863\u6848\u662F\u5426\u586B\u5199\u5B8C\u6574",
            icon: "none"
          });
          return;
        }
      }
      const arry = this.list.map((item, index) => ({
        id: index + 1,
        name: item.name,
        sort: item.sort,
        type: item.type,
        value: item.value,
        questionType: item.questionType,
        question: item.question.map((it) => __spreadProps(__spreadValues({}, it), {
          writeVal: item.value.indexOf(it.name) == -1 ? "" : it.writeVal
        }))
      }));
      if (this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList") {
        this.editHealthForm(arry);
      }
    },
    editHealthForm(arry) {
      const filterByQuestionType = (questionType) => arry.filter((item) => item.questionType && item.questionType === questionType);
      const symptomHistory = filterByQuestionType("symptomHistory");
      const drugHistory = filterByQuestionType("drugHistory");
      const allergyHistory = filterByQuestionType("allergyHistory");
      const familyHistory = filterByQuestionType("familyHistory");
      const healthHistory = arry.filter((item) => !item.questionType);
      const param = {
        id: Number(this.id || 0),
        symptomHistory: this.formType == "symptomHistory" ? JSON.stringify(symptomHistory) : void 0,
        healthHistory: this.formType == "healthHistory" ? JSON.stringify(healthHistory) : void 0,
        drugHistory: this.formType == "drugHistory" ? JSON.stringify(drugHistory) : void 0,
        allergyHistory: this.formType == "allergyHistory" ? JSON.stringify(allergyHistory) : void 0,
        familyHistory: this.formType == "familyHistory" ? JSON.stringify(familyHistory) : void 0
      };
      this.btnLoading = true;
      api_healthRecords.editRecord(param).then((res) => {
        this.btnLoading = false;
        if (res.code == 200) {
          common_vendor.index.showToast({
            title: "\u4FEE\u6539\u6210\u529F",
            icon: "none",
            duration: 1e3
          });
          setTimeout(function() {
            common_vendor.index.redirectTo({
              url: "/pages_user/healthRecords/index"
            });
            clearTimeout("timer");
          }, 1e3);
        } else {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        }
      }, (rej) => {
        this.btnLoading = false;
      }).catch(() => {
        this.btnLoading = false;
      });
    }
  }
};
if (!Array) {
  const _easycom_u_popup2 = common_vendor.resolveComponent("u-popup");
  _easycom_u_popup2();
}
const _easycom_u_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  _easycom_u_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.f($data.list, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(index + 1),
        b: item.type == 2
      }, item.type == 2 ? {} : {}, {
        c: common_vendor.t(item.name),
        d: item.type == 2
      }, item.type == 2 ? {
        e: common_vendor.f(item.question, (option, i, i1) => {
          return common_vendor.e({
            a: common_vendor.t(option.name),
            b: common_vendor.o(($event) => $options.handleMultiple(item, index, option)),
            c: common_vendor.n(item.value.indexOf(option.name) === -1 ? "listbox-option-item" : "listbox-option-item option-active"),
            d: option.isWrite == 1 && item.value.indexOf(option.name) !== -1
          }, option.isWrite == 1 && item.value.indexOf(option.name) !== -1 ? {
            e: common_vendor.t(option.writeVal || "\u8BF7\u8F93\u5165\u76F8\u5173\u63CF\u8FF0"),
            f: common_vendor.o(($event) => $options.handleEdit(index, i))
          } : {}, {
            g: i
          });
        })
      } : {}, {
        f: item.type == 1
      }, item.type == 1 ? {
        g: common_vendor.f(item.question, (option, i, i1) => {
          return common_vendor.e({
            a: item.value == option.name
          }, item.value == option.name ? {
            b: $data.baseUrl + "/images/healthRecords/choose_icon.png"
          } : {}, {
            c: item.value != option.name
          }, item.value != option.name ? {
            d: $data.baseUrl + "/images/healthRecords/choose_no_icon.png"
          } : {}, {
            e: common_vendor.t(option.name),
            f: option.isWrite == 1 && item.value == option.name
          }, option.isWrite == 1 && item.value == option.name ? {
            g: common_vendor.t(option.writeVal || "\u8BF7\u8F93\u5165\u76F8\u5173\u63CF\u8FF0"),
            h: common_vendor.o(($event) => $options.handleEdit(index, i))
          } : {}, {
            i,
            j: common_vendor.o(($event) => $options.handleChoose(item, option), i)
          });
        })
      } : {}, {
        h: item.type == 3
      }, item.type == 3 ? {
        i: common_vendor.f(item.question, (option, i, i1) => {
          return common_vendor.e({
            a: option.name !== "\u6BCF\u5468\u591A\u5C11\u6B21"
          }, option.name !== "\u6BCF\u5468\u591A\u5C11\u6B21" ? {
            b: common_vendor.t(i + 1),
            c: common_vendor.n(item.value == option.name ? "dietary-survey-active" : ""),
            d: common_vendor.t(option.name)
          } : {}, {
            e: item.name == "\u5E73\u65F6\u5E94\u916C" && option.name === "\u6BCF\u5468\u591A\u5C11\u6B21" && option.writeVal
          }, item.name == "\u5E73\u65F6\u5E94\u916C" && option.name === "\u6BCF\u5468\u591A\u5C11\u6B21" && option.writeVal ? {
            f: common_vendor.t(option.writeVal || "--")
          } : {}, {
            g: i,
            h: common_vendor.o(($event) => $options.handleChoose(item, option), i)
          });
        })
      } : {}, {
        j: index
      });
    }),
    b: $data.list && $data.list.length > 0
  }, $data.list && $data.list.length > 0 ? {
    c: common_vendor.t($data.chooseIndex + 1),
    d: common_vendor.t($data.list[$data.chooseIndex].name)
  } : {}, {
    e: $data.list && $data.list.length > 0
  }, $data.list && $data.list.length > 0 ? {
    f: common_vendor.t($data.list[$data.chooseIndex].question[$data.chooseItemIdx].name)
  } : {}, {
    g: $data.focus,
    h: $data.writeVal,
    i: common_vendor.o((...args) => $options.handleinput && $options.handleinput(...args)),
    j: this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList"
  }, this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" ? {
    k: common_vendor.o((...args) => $options.popSubmit && $options.popSubmit(...args))
  } : {}, {
    l: common_vendor.o($options.close),
    m: common_vendor.p({
      show: $data.show
    }),
    n: this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList"
  }, this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" ? {
    o: $data.btnLoading,
    p: $data.btnLoading,
    q: common_vendor.o((...args) => $options.handelSubmit && $options.handelSubmit(...args))
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-76d4d2de"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/healthRecords/edit.vue"]]);
wx.createPage(MiniProgramPage);
