"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function loginByMp(data) {
  return request("/app/wx/courseLogin", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function getRealLink(data) {
  return request("/app/course/getRealLink", data, "GET", "", "https://h5api.his.cdwjyyh.com");
}
function getH5CourseByVideoId(data) {
  return request("/app/course/getH5CourseByVideoId", data, "GET", "", "https://h5api.his.cdwjyyh.com");
}
function getH5CourseVideoDetails(data) {
  return request("/app/course/getH5CourseVideoDetails", data, "GET", "", "https://h5api.his.cdwjyyh.com");
}
function courseAnswer(data) {
  return request("/app/course/courseAnswer", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function getFinishCourseVideo(data) {
  return request("/app/course/updateWatchDuration", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function getIsAddKf(data) {
  return request("/app/course/isAddKf", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function getInternetTraffic(data) {
  return request("/app/course/getInternetTraffic", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function getIntegralByH5Video(data) {
  return request("/app/course/getIntegralByH5Video", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function sendReward(data) {
  return request("/app/course/sendReward", data, "POST", "application/json;charset=UTF-8", "https://h5api.his.cdwjyyh.com");
}
function getErrMsg(data) {
  return request("/app/course/getErrMsg", data, "POST", "application/x-www-form-urlencoded", "https://h5api.his.cdwjyyh.com");
}
exports.courseAnswer = courseAnswer;
exports.getErrMsg = getErrMsg;
exports.getFinishCourseVideo = getFinishCourseVideo;
exports.getH5CourseByVideoId = getH5CourseByVideoId;
exports.getH5CourseVideoDetails = getH5CourseVideoDetails;
exports.getIntegralByH5Video = getIntegralByH5Video;
exports.getInternetTraffic = getInternetTraffic;
exports.getIsAddKf = getIsAddKf;
exports.getRealLink = getRealLink;
exports.loginByMp = loginByMp;
exports.sendReward = sendReward;
