"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getMyDoctorList(data) {
  return request("/app/doctor/getMyDoctorList", data, "GET");
}
function getDoctorDetails(data) {
  return request("/app/doctor/getDoctorDetails", data, "GET");
}
function getDoctorPingList(data) {
  return request("/app/doctor/getDoctorPingList", data, "GET");
}
function getDoctorList(data) {
  return request("/app/doctor/getDoctorList", data, "GET");
}
function checkFollow(data) {
  return request("/app/doctor/checkFollow", data, "GET");
}
function doFollow(data) {
  return request("/app/doctor/doFollow", data, "POST", "application/json;charset=UTF-8");
}
exports.checkFollow = checkFollow;
exports.doFollow = doFollow;
exports.getDoctorDetails = getDoctorDetails;
exports.getDoctorList = getDoctorList;
exports.getDoctorPingList = getDoctorPingList;
exports.getMyDoctorList = getMyDoctorList;
