"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getIntegralGoodsList(data) {
  return request("/app/integral/getIntegralGoodsList", data, "GET");
}
function getIntegralGoodsById(data) {
  return request("/app/integral/getIntegralGoodsById", data, "GET");
}
function getUserIntegralLogsList(data) {
  return request("/app/integral/getUserIntegralLogsList", data, "GET");
}
function getIntegralOrderList(data) {
  return request("/app/integral/getIntegralOrderList", data, "GET");
}
function getIntegralOrderById(data) {
  return request("/app/integral/getIntegralOrderById", data, "GET");
}
function createOrder(data) {
  return request("/app/integral/createOrder", data, "POST", "application/json;charset=UTF-8");
}
function getUserSign() {
  return request("/app/integral/getUserSign", null, "GET");
}
function doSign(data) {
  return request("/app/integral/sign", data, "POST", "application/json;charset=UTF-8");
}
exports.createOrder = createOrder;
exports.doSign = doSign;
exports.getIntegralGoodsById = getIntegralGoodsById;
exports.getIntegralGoodsList = getIntegralGoodsList;
exports.getIntegralOrderById = getIntegralOrderById;
exports.getIntegralOrderList = getIntegralOrderList;
exports.getUserIntegralLogsList = getUserIntegralLogsList;
exports.getUserSign = getUserSign;
