"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../common/vendor.js");
const messageBubble = common_vendor.defineComponent({
  props: {
    data: {
      type: Object,
      default: () => {
        return {};
      }
    }
  },
  setup(props, ctx) {
    const data = common_vendor.reactive({
      message: {},
      show: false
    });
    common_vendor.watchEffect(() => {
      data.message = props.data;
    });
    const toggleDialog = () => {
      data.show = !data.show;
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      toggleDialog
    });
  }
});
const _sfc_main = messageBubble;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  var _a;
  return common_vendor.e({
    a: ((_a = _ctx.message) == null ? void 0 : _a.avatar) || "https://web.sdk.qcloud.com/component/TUIKit/assets/avatar_21.png",
    b: _ctx.message.flow === "in"
  }, _ctx.message.flow === "in" ? {
    c: common_vendor.t(_ctx.message.nick)
  } : {}, {
    d: common_vendor.n("content content-" + _ctx.message.flow),
    e: _ctx.message.status === "fail"
  }, _ctx.message.status === "fail" ? {} : {}, {
    f: _ctx.message.conversationType === "C2C" && _ctx.message.flow == "out" && _ctx.message.status !== "fail"
  }, _ctx.message.conversationType === "C2C" && _ctx.message.flow == "out" && _ctx.message.status !== "fail" ? common_vendor.e({
    g: !_ctx.message.isPeerRead
  }, !_ctx.message.isPeerRead ? {} : {}, {
    h: common_vendor.n(!_ctx.message.isPeerRead && "unRead")
  }) : {}, {
    i: common_vendor.n(_ctx.message.flow === "in" ? "" : "reverse")
  });
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-e3bed3b6"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-elements/message-bubble.vue"]]);
wx.createComponent(Component);
