"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var common_vendor = require("../../../../../../common/vendor.js");
const MessageCustom = common_vendor.defineComponent({
  props: {
    data: {
      type: Object,
      default: () => {
        return {};
      }
    },
    messageData: {
      type: Object,
      default: () => {
        return {};
      }
    }
  },
  setup(props, ctx) {
    const data = common_vendor.reactive({
      data: {},
      extension: {},
      isCustom: "",
      payload: {},
      message: {}
    });
    common_vendor.watchEffect(() => {
      data.data = props.data;
      data.message = props.messageData;
      data.isCustom = props.data.message.payload.data;
      data.payload = props.data.message.payload;
      data.extension = JSON.parse(props.data.message.payload.extension);
    });
    return __spreadValues({}, common_vendor.toRefs(data));
  }
});
const _sfc_main = MessageCustom;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.isCustom === "order"
  }, _ctx.isCustom === "order" ? {
    b: common_vendor.t(_ctx.extension.patientName),
    c: common_vendor.t(_ctx.extension.sex),
    d: common_vendor.t(_ctx.extension.mobile),
    e: common_vendor.t(_ctx.extension.duration),
    f: common_vendor.t(_ctx.extension.isVisit),
    g: common_vendor.t(_ctx.extension.title)
  } : _ctx.isCustom === "prescribe" ? {
    i: common_vendor.t(_ctx.extension.diagnose)
  } : _ctx.isCustom === "report" ? {} : _ctx.isCustom === "follow" ? {} : _ctx.isCustom === "drugReport" ? {} : _ctx.isCustom === "startInquiry" ? {
    n: common_vendor.t(_ctx.extension.title),
    o: common_vendor.n("content content-" + _ctx.message.flow)
  } : _ctx.isCustom === "finishInquiry" ? {
    q: common_vendor.t(_ctx.extension.title),
    r: common_vendor.n("content content-" + _ctx.message.flow)
  } : {
    s: common_vendor.t(_ctx.data.custom),
    t: common_vendor.n("content content-" + _ctx.message.flow)
  }, {
    h: _ctx.isCustom === "prescribe",
    j: _ctx.isCustom === "report",
    k: _ctx.isCustom === "follow",
    l: _ctx.isCustom === "drugReport",
    m: _ctx.isCustom === "startInquiry",
    p: _ctx.isCustom === "finishInquiry"
  });
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-261d728a"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-elements/message-custom.vue"]]);
wx.createComponent(Component);
