"use strict";
var common_vendor = require("../common/vendor.js");
var api_doctor = require("../api/doctor.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      total: 0,
      doctorId: null,
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad(options) {
    this.doctorId = options.doctorId;
  },
  methods: {
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback() {
      this.mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        doctorId: this.doctorId,
        pageNum: page.num,
        pageSize: page.size
      };
      api_doctor.getDoctorPingList(data).then((res) => {
        if (res.code == 200) {
          this.total = res.data.total;
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_rate2 = common_vendor.resolveComponent("u-rate");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_rate2 + _easycom_mescroll_body2)();
}
const _easycom_u_rate = () => "../uni_modules/uview-plus/components/u-rate/u-rate.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_rate + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($data.total),
    b: common_vendor.f($data.dataList, (item, k0, i0) => {
      return {
        a: item.avatar == null ? "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/dfdd555016854b0d9fb623937238729f.jpg" : item.avatar,
        b: common_vendor.t(item.nickName),
        c: "0bf76e06-1-" + i0 + ",0bf76e06-0",
        d: common_vendor.o(($event) => item.pingStar = $event),
        e: common_vendor.p({
          activeColor: "#ffc603",
          count: "5",
          readonly: true,
          modelValue: item.pingStar
        }),
        f: common_vendor.t(item.pingContent),
        g: common_vendor.t(item.pingTime)
      };
    }),
    c: common_vendor.sr("mescrollRef", "0bf76e06-0"),
    d: common_vendor.o($options.mescrollInit),
    e: common_vendor.o($options.downCallback),
    f: common_vendor.o($options.upCallback),
    g: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-0bf76e06"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_doctor/doctorPingList.vue"]]);
wx.createPage(MiniProgramPage);
