"use strict";
var common_vendor = require("../common/vendor.js");
var api_courseOrder = require("../api/courseOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      order: null
    };
  },
  onLoad(option) {
    common_vendor.index.setNavigationBarTitle({
      title: "\u652F\u4ED8\u7ED3\u679C"
    });
    this.orderId = option.orderId;
    this.getCourseOrderById();
  },
  methods: {
    back() {
      common_vendor.index.switchTab({
        url: "/pages/index/index"
      });
    },
    getCourseOrderById() {
      var data = { orderId: this.orderId };
      var that = this;
      common_vendor.index.showLoading();
      api_courseOrder.getCourseOrderById(data).then((res) => {
        common_vendor.index.hideLoading();
        if (res.code == 200) {
          that.order = res.order;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    },
    copyTest(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o(($event) => $options.back()),
    b: common_vendor.t($data.order.orderCode),
    c: common_vendor.o(($event) => $options.copyTest($data.order.orderCode)),
    d: common_vendor.t($data.order.payMoney.toFixed(2)),
    e: common_vendor.t($data.order.createTime)
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/courseOrderPaySuccess.vue"]]);
wx.createPage(MiniProgramPage);
