"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      inquirySubTypes: [],
      companyId: null,
      companyUserId: null,
      isShare: null
    };
  },
  onLoad(options) {
    this.isShare = options.isShare;
    this.companyId = options.companyId;
    this.companyUserId = options.companyUserId;
    this.getConfig();
  },
  onShow() {
  },
  methods: {
    getConfig() {
      var data = { key: "his.inquiryConfig" };
      api_common.getConfigByKey(data).then((res) => {
        if (res.code == 200) {
          console.log(res);
          this.inquirySubTypes = JSON.parse(res.data).inquirySubType;
        }
      }, (rej) => {
      });
    },
    doInquiryForm(type) {
      this.$isLogin().then((res) => {
        console.log(res);
        if (res) {
          if (type == 1 || type == 2 || type == 6 || type == 5 || type == 7 || type == 8 || type == 9 || type == 10) {
            common_vendor.index.navigateTo({
              url: "/pages_order/inquiryForm2_1?inquiryType=2&orderType=2&inquirySubType=" + type + "&companyId=" + this.companyId + "&companyUserId=" + this.companyUserId + "&isShare=" + this.isShare
            });
          } else if (type == 3) {
            common_vendor.index.navigateTo({
              url: "/pages_order/inquiryForm2_2?inquiryType=2&orderType=2&inquirySubType=" + type + "&companyId=" + this.companyId + "&companyUserId=" + this.companyUserId + "&isShare=" + this.isShare
            });
          }
        } else {
          common_vendor.index.navigateTo({
            url: "/pages/auth/login"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.inquirySubTypes, (item, k0, i0) => {
      return {
        a: common_vendor.t(item.lable),
        b: common_vendor.o(($event) => $options.doInquiryForm(item.value))
      };
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-9f8e773a"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/inquirySelectType.vue"]]);
wx.createPage(MiniProgramPage);
