"use strict";
var common_vendor = require("../common/vendor.js");
var api_drugReport = require("../api/drugReport.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight,
      reportId: null,
      report: null
    };
  },
  onLoad(options) {
    this.reportId = options.reportId;
  },
  onShow() {
    this.getDrugReportById();
  },
  methods: {
    goBack() {
      common_vendor.index.navigateBack();
    },
    doPing() {
      common_vendor.index.navigateTo({
        url: "./drugReportPing?reportId=" + this.reportId
      });
    },
    getDrugReportById() {
      var data = { reportId: this.reportId };
      api_drugReport.getDrugReportById(data).then((res) => {
        if (res.code == 200) {
          this.report = res.data;
        }
      }, (err) => {
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.statusBarHeight,
    b: common_vendor.o(($event) => $options.goBack()),
    c: $data.report != null
  }, $data.report != null ? common_vendor.e({
    d: $data.statusBarHeight,
    e: $data.report.avatar == null ? "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/22cb9518a55040dea74d8f730551a7a2.jpg" : $data.report.avatar,
    f: common_vendor.t($data.report.doctorName),
    g: common_vendor.t($data.report.createTime),
    h: $data.report != null && $data.report.reportSummary != null && $data.report.reportSummary != ""
  }, $data.report != null && $data.report.reportSummary != null && $data.report.reportSummary != "" ? {
    i: common_vendor.t($data.report.reportSummary)
  } : {}, {
    j: $data.report != null && $data.report.reportAdvice != null && $data.report.reportAdvice != ""
  }, $data.report != null && $data.report.reportAdvice != null && $data.report.reportAdvice != "" ? {
    k: common_vendor.t($data.report.reportAdvice)
  } : {}) : {}, {
    l: $data.report.status == 1
  }, $data.report.status == 1 ? {
    m: common_vendor.o(($event) => $options.doPing())
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-7623f853"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/drugReportDetails.vue"]]);
wx.createPage(MiniProgramPage);
