"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../common/vendor.js");
var api_user = require("../../api/user.js");
var api_healthRecords = require("../../api/healthRecords.js");
require("../../common/request.js");
const _sfc_main = {
  data() {
    return {
      isShare: null,
      baseUrl: common_vendor.index.getStorageSync("requestPath"),
      show: false,
      patient: null,
      focus: false,
      chooseIndex: 0,
      chooseItemIdx: 0,
      writeVal: "",
      inputValue: "",
      btnLoading: false,
      formType: "",
      defaultHeadimg: common_vendor.index.getStorageSync("requestPath") + "/images/healthRecords/my_heads_icon.png",
      title: "\u5FEB\u901F\u586B\u5199\u5065\u5EB7\u6863\u6848",
      user: {},
      defaultList: [
        {
          name: "\u76EE\u524D\u662F\u5426\u6709\u4EE5\u4E0B\u4E0D\u9002\uFF1F",
          questionType: "symptomHistory",
          type: 2,
          value: "",
          required: true,
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5934\u6655",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5934\u75DB",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5BB9\u6613\u75B2\u52B3",
              value: 4,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8BB0\u5FC6\u529B\u4E0B\u964D",
              value: 5,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u54B3\u55FD",
              value: 6,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u54B3\u75F0",
              value: 7,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u547C\u5438\u56F0\u96BE",
              value: 8,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u80F8\u75DB",
              value: 9,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5FC3\u60B8",
              value: 10,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8179\u75DB",
              value: 11,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8179\u80C0",
              value: 12,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4FBF\u79D8",
              value: 13,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8179\u6CFB",
              value: 14,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u98DF\u6B32\u5DEE",
              value: 15,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u9AA8\u75DB",
              value: 16,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C3F\u9891\u3001\u5C3F\u6025\u3001\u5C3F\u4E0D\u5C3D",
              value: 17,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5176\u5B83",
              value: 18,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u7236\u6BCD\u6216\u76F4\u7CFB\u4EB2\u5C5E\u662F\u5426\u6709\u4EE5\u4E0B\u75BE\u75C5\uFF1F",
          questionType: "familyHistory",
          type: 2,
          value: "",
          required: true,
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u7CD6\u5C3F\u75C5",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u9AD8\u8840\u538B",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5FC3\u8111\u8840\u7BA1\u75C5",
              value: 4,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u9AD8\u8102\u8840\u75C7",
              value: 5,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u80A5\u80D6",
              value: 6,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5176\u5B83",
              value: 7,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u76EE\u524D\u662F\u5426\u5728\u7528\u5176\u5B83\u75BE\u75C5\u7684\u836F\u54C1\uFF1F",
          questionType: "drugHistory",
          type: 1,
          value: "",
          required: false,
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6709",
              value: 2,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u7528\u836F\u662F\u5426\u51FA\u73B0\u4E86\u4E0D\u826F\u53CD\u5E94\uFF1F",
          questionType: "drugHistory",
          type: 1,
          value: "",
          required: false,
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6709",
              value: 2,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u662F\u5426\u5BF9\u836F\u7269\u6216\u67D0\u4E9B\u7269\u8D28\u8FC7\u654F\uFF1F",
          questionType: "allergyHistory",
          type: 1,
          value: "",
          required: false,
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6709",
              value: 2,
              isWrite: 1,
              writeVal: ""
            }
          ]
        }
      ],
      list: [],
      dietList: [
        {
          name: "\u4E09\u9910\u89C4\u5F8B",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u975E\u5E38\u89C4\u5F8B",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6BD4\u8F83\u89C4\u5F8B",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6CA1\u6709\u89C4\u5F8B",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u5C31\u9910\u4E60\u60EF",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u66B4\u996E\u66B4\u98DF",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u538B\u529B\u5927\u7ECF\u5E38\u8FDB\u98DF",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C31\u5916\u5C31\u9910\u591A",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u591C\u5BB5",
              value: 4,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E0D\u5403\u65E9\u9910",
              value: 5,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u8FDB\u98DF\u901F\u5EA6",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u5927\u7EA620-30\u5206\u949F",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u7EA610-20\u5206\u949F",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u7EA65-10\u5206\u949F",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u9152\u7C7B",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u4ECE\u4E0D\u559D\u9152",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6BCF\u5929",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u4E8E3\u6B21/\u5468",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C0F\u4E8E3\u6B21/\u5468",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u5E73\u65F6\u5E94\u916C",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u591A",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E00\u822C",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5C11",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6BCF\u5468\u591A\u5C11\u6B21",
              value: 3,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u559D\u6C34\u91CF",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u4F4E\u4E8E1000ml",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "1000ml-1500ml",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "1500ml-1700ml",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "1700ml\u4EE5\u4E0A",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u6BCF\u5929\u5403\u7684\u98DF\u7269\u79CD\u7C7B\u591A\u5417\uFF1F",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u79CD\u7C7B\u975E\u5E38\u591A\uFF0C12\u79CD\u4EE5\u4E0A",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E00\u822C6-10\u79CD",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u79CD\u7C7B\u8F83\u5C113-5\u79CD",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u79CD\u7C7B\u6BD4\u8F83\u56FA\u5B9A",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u662F\u5426\u6709\u62BD\u70DF\u4E60\u60EF\uFF1F",
          type: 3,
          value: "",
          questionType: "dietList",
          question: [
            {
              name: "\u662F",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u65E0",
              value: 2,
              isWrite: 0,
              writeVal: ""
            }
          ]
        }
      ],
      sleepList: [
        {
          name: "\u7761\u7720\u72B6\u51B5",
          type: 3,
          value: "",
          questionType: "sleepList",
          question: [
            {
              name: "\u5F88\u5DEE",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5DEE",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E00\u822C",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u826F\u597D",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u7761\u7720\u65F6\u95F4",
          type: 3,
          value: "",
          questionType: "sleepList",
          question: [
            {
              name: "\uFF1C6\u5C0F\u65F6",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "6-8\u5C0F\u65F6",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "9-10\u5C0F\u65F6",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\uFF1E10\u5C0F\u65F6",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u7ECF\u5E38\u71AC\u591C\u5417\uFF1F",
          type: 3,
          value: "",
          questionType: "sleepList",
          question: [
            {
              name: "\u7ECF\u5E38",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5076\u5C14",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5F88\u5C11",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u65E0",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        }
      ],
      sportList: [
        {
          name: "\u65E5\u5E38\u8FD0\u52A8\u91CF",
          type: 3,
          value: "",
          questionType: "sportList",
          question: [
            {
              name: "\u4E45\u5750\u4E0D\u52A8",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8F7B\u5EA6\u8FD0\u52A8(3000-6000\u6B65)",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E2D\u5EA6\u8FD0\u52A8(6000-10000\u6B65)",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5927\u91CF\u8FD0\u52A8(\u4E00\u4E07\u6B65\u4EE5\u4E0A)",
              value: 4,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u65E5\u5E38\u662F\u5426\u6709\u8FD0\u52A8\uFF1F",
          type: 2,
          value: "",
          questionType: "sportList",
          question: [
            {
              name: "\u65E0",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6563\u6B65",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u8DD1\u6B65",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u81EA\u884C\u8F66",
              value: 4,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u821E\u8E48\u6216\u592A\u6781\u62F3",
              value: 5,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u4E0A\u4E0B\u697C\u68AF",
              value: 6,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u7403\u7C7B",
              value: 7,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u6E38\u6CF3",
              value: 8,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u5176\u4ED6",
              value: 9,
              isWrite: 1,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u60A8\u5E73\u5747\u6BCF\u5468\u953B\u70BC\u6B21\u6570\uFF1F",
          type: 3,
          value: "",
          questionType: "sportList",
          question: [
            {
              name: "\u22642\u6B21",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "3-5\u6B21",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\u22655\u6B21",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        },
        {
          name: "\u5E73\u5747\u6BCF\u6B21\u953B\u70BC\u65F6\u95F4\u662F\u591A\u5C11\u5206\u949F\uFF1F",
          type: 3,
          value: "",
          questionType: "sportList",
          question: [
            {
              name: "\u226420",
              value: 1,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "20-40",
              value: 2,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "41-60",
              value: 3,
              isWrite: 0,
              writeVal: ""
            },
            {
              name: "\uFF1E60",
              value: 3,
              isWrite: 0,
              writeVal: ""
            }
          ]
        }
      ]
    };
  },
  onLoad(option) {
    this.formType = option.formType;
    this.isShare = option.isShare;
    if (this.formType == "dietList") {
      this.list = this.dietList;
    } else if (this.formType == "sleepList") {
      this.list = this.sleepList;
    } else if (this.formType == "sportList") {
      this.list = this.sportList;
    } else if (this.formType == "healthLife") {
      this.list = [...this.dietList, ...this.sleepList, ...this.sportList];
    } else {
      this.list = this.defaultList;
    }
    if (option.isShare != null) {
      this.companyId = option.companyId;
      this.companyUserId = option.companyUserId;
    } else {
      this.companyId = common_vendor.index.getStorageSync("companyId");
      this.companyUserId = common_vendor.index.getStorageSync("companyUserId");
    }
    const formTypeOption = {
      "healthHistory": "\u586B\u5199\u75BE\u75C5\u53F2",
      "symptomHistory": "\u586B\u5199\u75C7\u72B6\u53F2",
      "familyHistory": "\u586B\u5199\u5BB6\u65CF\u53F2",
      "drugHistory": "\u586B\u5199\u7528\u836F\u53F2",
      "allergyHistory": "\u586B\u5199\u8FC7\u654F\u53F2",
      "dietList": "\u996E\u98DF",
      "sleepList": "\u7761\u7720\u60C5\u51B5",
      "sportList": "\u8FD0\u52A8",
      "healthLife": "\u751F\u6D3B\u4E60\u60EF"
    };
    this.title = formTypeOption[this.formType] || "";
    common_vendor.index.setNavigationBarTitle({
      title: this.title || ""
    });
    common_vendor.index.$on("refreshOrderPatient", (res) => {
      this.patient = res;
    });
  },
  onShow() {
    this.user = {};
    this.$isLogin().then((res) => {
      if (res) {
        this.getUserInfo();
      }
    }, (rej) => {
    });
  },
  onShareAppMessage(res) {
    common_vendor.index.showShareMenu({
      withShareTicket: true
    });
    wx.updateShareMenu({
      isPrivateMessage: true,
      withShareTicket: true,
      success(res2) {
        console.log("updateShareMenu: ", res2);
      },
      fail() {
      }
    });
    return {
      title: "\u5065\u5EB7\u6863\u6848",
      imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png",
      path: "/pages_user/healthRecords/add?isShare=1&formType=" + this.formType + "&companyId=" + this.companyId + "&companyUserId=" + this.companyUserId
    };
  },
  methods: {
    getUserInfo() {
      api_user.getUserInfo().then((res) => {
        if (res.code == 200) {
          if (res.user != null) {
            this.user = res.user;
            if (this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife") {
              this.getHealthHistoryTempList();
            } else {
              this.getHealthLife();
            }
            this.getMyRecord();
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    },
    addPatient() {
      common_vendor.index.navigateTo({
        url: "/pages_user/patient"
      });
    },
    handleEdit(index, i) {
      this.chooseIndex = index;
      this.chooseItemIdx = i;
      this.focus = true;
      this.writeVal = this.list[index].question[i].writeVal;
      this.show = true;
    },
    close() {
      this.focus = false;
      this.show = false;
    },
    handleinput(e) {
      this.writeVal = e.detail.value;
    },
    popSubmit() {
      this.list[this.chooseIndex].question[this.chooseItemIdx].writeVal = this.writeVal;
      this.close();
    },
    clearInput(event, option) {
      this.inputValue = event.detail.value;
      option.writeVal = this.inputValue;
    },
    getMyRecord() {
      api_healthRecords.myRecord().then((res) => {
        if (res.code == 200) {
          if (res.data) {
            if (this.isShare != null) {
              common_vendor.index.showToast({
                icon: "none",
                title: "\u60A8\u5DF2\u586B\u5199\u8FC7\u6863\u6848"
              });
              setTimeout(function() {
                common_vendor.index.redirectTo({
                  url: "/pages_user/healthRecords/index"
                });
              }, 2e3);
            }
          }
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    },
    getHealthLife() {
      const param = {
        userId: this.user.userId
      };
      api_healthRecords.HealthLife(param).then((res) => {
        if (res.code == 200 && res.data) {
          this.dietList = res.data.eat ? JSON.parse(res.data.eat) : this.dietList;
          this.sleepList = res.data.sleep ? JSON.parse(res.data.sleep) : this.sleepList;
          this.sportList = res.data.sport ? JSON.parse(res.data.sport) : this.sportList;
          if (this.formType == "healthLife") {
            this.list = [...this.dietList, ...this.sleepList, ...this.sportList];
          } else {
            this.list = this.formType == "dietList" ? this.dietList : this.formType == "sleepList" ? this.sleepList : this.formType == "sportList" ? this.sportList : [];
          }
        }
      }, (rej) => {
      });
    },
    getHealthHistoryTempList() {
      api_healthRecords.healthHistoryTempList().then((res) => {
        let list = [];
        if (res.code == 200 && res.data && res.data.length > 0) {
          list = res.data.map((item) => __spreadProps(__spreadValues({}, item), {
            value: item.value || "",
            required: true,
            question: JSON.parse(item.question).map((it, i) => __spreadProps(__spreadValues({}, it), {
              writeVal: ""
            }))
          }));
        }
        this.list = list.concat(this.defaultList);
      }, (rej) => {
      });
    },
    handleChoose(item, option) {
      if (this.patient == null && this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife") {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u5C31\u8BCA\u4EBA"
        });
        return;
      }
      if (item.name == "\u5E73\u65F6\u5E94\u916C" && option.name === "\u6BCF\u5468\u591A\u5C11\u6B21")
        return;
      item.value = option.name;
    },
    handleMultiple(item, index, option) {
      if (this.patient == null && this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife") {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u5C31\u8BCA\u4EBA"
        });
        return;
      }
      const arry = item.value ? item.value.split(",") : [];
      if (arry.indexOf(option.name) === -1) {
        arry.push(option.name);
        item.value = arry.join(",");
      } else {
        arry.splice(arry.indexOf(option.name), 1);
        item.value = arry.join(",");
      }
    },
    handelSubmit() {
      if (this.patient == null && this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife") {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u5C31\u8BCA\u4EBA"
        });
        return;
      }
      for (let i = 0; i < this.list.length; i++) {
        if (!this.list[i].value) {
          common_vendor.index.showToast({
            title: "\u8BF7\u68C0\u67E5\u5065\u5EB7\u6863\u6848\u662F\u5426\u586B\u5199\u5B8C\u6574",
            icon: "none"
          });
          return;
        }
      }
      const arry = this.list.map((item, index) => ({
        id: index + 1,
        name: item.name,
        sort: item.sort,
        type: item.type,
        value: item.value,
        questionType: item.questionType,
        question: item.question.map((it) => __spreadProps(__spreadValues({}, it), {
          writeVal: item.value.indexOf(it.name) == -1 && item.name != "\u5E73\u65F6\u5E94\u916C" && it.name != "\u6BCF\u5468\u591A\u5C11\u6B21" ? "" : it.writeVal
        }))
      }));
      if (this.formType == "dietList" || this.formType == "sleepList" || this.formType == "sportList" || this.formType == "healthLife") {
        this.submitHealthLife(arry);
      } else {
        this.addHealthForm(arry);
      }
    },
    submitHealthLife(arry) {
      const reg = /^[1-9]\d*$/;
      if (this.inputValue && !reg.test(this.inputValue)) {
        common_vendor.index.showToast({
          title: "\u8BF7\u8F93\u5165\u6B63\u786E\u7684\u5E73\u65F6\u5E94\u916C\u6B21\u6570",
          icon: "none"
        });
        return;
      }
      const filterByQuestionType = (questionType) => arry.filter((item) => item.questionType && item.questionType === questionType);
      const eat = filterByQuestionType("dietList");
      const sleep = filterByQuestionType("sleepList");
      const sport = filterByQuestionType("sportList");
      const param = {
        eat: eat && eat.length > 0 ? JSON.stringify(eat) : JSON.stringify(this.dietList),
        sleep: sleep && sleep.length > 0 ? JSON.stringify(sleep) : JSON.stringify(this.sleepList),
        sport: sport && sport.length > 0 ? JSON.stringify(sport) : JSON.stringify(this.sportList)
      };
      api_healthRecords.addFsHealthLife(param).then((res) => {
        this.btnLoading = false;
        if (res.code == 200) {
          common_vendor.index.showToast({
            title: "\u4FDD\u5B58\u6210\u529F",
            icon: "none",
            duration: 1e3
          });
          setTimeout(function() {
            common_vendor.index.redirectTo({
              url: "/pages_user/healthRecords/index"
            });
            clearTimeout("timer");
          }, 1e3);
        } else {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        }
      }, (rej) => {
        this.btnLoading = false;
      }).catch(() => {
        this.btnLoading = false;
      });
    },
    addHealthForm(arry) {
      const filterByQuestionType = (questionType) => arry.filter((item) => item.questionType && item.questionType === questionType);
      const symptomHistory = filterByQuestionType("symptomHistory");
      const drugHistory = filterByQuestionType("drugHistory");
      const allergyHistory = filterByQuestionType("allergyHistory");
      const familyHistory = filterByQuestionType("familyHistory");
      const healthHistory = arry.filter((item) => !item.questionType);
      var companyUserId = this.companyUserId;
      var companyId = this.companyId;
      const param = {
        companyId,
        companyUserId,
        name: this.patient.patientName,
        sex: this.patient.sex,
        age: this.$getAge(this.patient.birthday),
        weight: void 0,
        height: void 0,
        bmi: void 0,
        symptomHistory: JSON.stringify(symptomHistory),
        healthHistory: JSON.stringify(healthHistory),
        drugHistory: JSON.stringify(drugHistory),
        allergyHistory: JSON.stringify(allergyHistory),
        familyHistory: JSON.stringify(familyHistory)
      };
      this.btnLoading = true;
      api_healthRecords.addRecord(param).then((res) => {
        this.btnLoading = false;
        if (res.code == 200) {
          common_vendor.index.showToast({
            title: "\u63D0\u4EA4\u5065\u5EB7\u6863\u6848\u6210\u529F",
            icon: "none",
            duration: 1e3
          });
          setTimeout(function() {
            common_vendor.index.redirectTo({
              url: "/pages_user/healthRecords/index"
            });
            clearTimeout("timer");
          }, 1e3);
        } else {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
        }
      }, (rej) => {
        this.btnLoading = false;
      }).catch(() => {
        this.btnLoading = false;
      });
    }
  }
};
if (!Array) {
  const _easycom_u_popup2 = common_vendor.resolveComponent("u-popup");
  _easycom_u_popup2();
}
const _easycom_u_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  _easycom_u_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife"
  }, this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife" ? {
    b: $data.baseUrl + "/images/healthRecords/integral_top_bg@2x.png"
  } : {}, {
    c: this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife"
  }, this.formType != "dietList" && this.formType != "sleepList" && this.formType != "sportList" && this.formType != "healthLife" ? common_vendor.e({
    d: $data.patient != null
  }, $data.patient != null ? common_vendor.e({
    e: $data.defaultHeadimg,
    f: common_vendor.t($data.patient.patientName),
    g: common_vendor.t(_ctx.$parseIdCard($data.patient.idCard)),
    h: $data.patient.sex == 1
  }, $data.patient.sex == 1 ? {} : {}, {
    i: $data.patient.sex == 2
  }, $data.patient.sex == 2 ? {} : {}, {
    j: common_vendor.t(_ctx.$getAge($data.patient.birthday)),
    k: common_vendor.o(($event) => $options.addPatient())
  }) : {}, {
    l: $data.patient == null
  }, $data.patient == null ? {
    m: $data.baseUrl + "/images/healthRecords/upload_id_card_icon.png",
    n: common_vendor.o(($event) => $options.addPatient())
  } : {}) : {}, {
    o: common_vendor.f($data.list, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(index + 1),
        b: item.type == 2
      }, item.type == 2 ? {} : {}, {
        c: common_vendor.t(item.name),
        d: item.type == 2
      }, item.type == 2 ? {
        e: common_vendor.f(item.question, (option, i, i1) => {
          return common_vendor.e({
            a: common_vendor.t(option.name),
            b: common_vendor.o(($event) => $options.handleMultiple(item, index, option)),
            c: common_vendor.n(item.value.indexOf(option.name) === -1 ? "listbox-option-item" : "listbox-option-item option-active"),
            d: option.isWrite == 1 && item.value.indexOf(option.name) !== -1
          }, option.isWrite == 1 && item.value.indexOf(option.name) !== -1 ? {
            e: common_vendor.t(option.writeVal || "\u8BF7\u8F93\u5165\u76F8\u5173\u63CF\u8FF0"),
            f: common_vendor.o(($event) => $options.handleEdit(index, i))
          } : {}, {
            g: i
          });
        })
      } : {}, {
        f: item.type == 1
      }, item.type == 1 ? {
        g: common_vendor.f(item.question, (option, i, i1) => {
          return common_vendor.e({
            a: item.value == option.name
          }, item.value == option.name ? {
            b: $data.baseUrl + "/images/healthRecords/choose_icon.png"
          } : {}, {
            c: item.value != option.name
          }, item.value != option.name ? {
            d: $data.baseUrl + "/images/healthRecords/choose_no_icon.png"
          } : {}, {
            e: common_vendor.t(option.name),
            f: option.isWrite == 1 && item.value == option.name
          }, option.isWrite == 1 && item.value == option.name ? {
            g: common_vendor.t(option.writeVal || "\u8BF7\u8F93\u5165\u76F8\u5173\u63CF\u8FF0"),
            h: common_vendor.o(($event) => $options.handleEdit(index, i))
          } : {}, {
            i,
            j: common_vendor.o(($event) => $options.handleChoose(item, option), i)
          });
        })
      } : {}, {
        h: item.type == 3
      }, item.type == 3 ? {
        i: common_vendor.f(item.question, (option, i, i1) => {
          return common_vendor.e({
            a: option.name !== "\u6BCF\u5468\u591A\u5C11\u6B21"
          }, option.name !== "\u6BCF\u5468\u591A\u5C11\u6B21" ? {
            b: common_vendor.t(i + 1),
            c: common_vendor.n(item.value == option.name ? "dietary-survey-active" : ""),
            d: common_vendor.t(option.name)
          } : {}, {
            e: item.name == "\u5E73\u65F6\u5E94\u916C" && option.name === "\u6BCF\u5468\u591A\u5C11\u6B21"
          }, item.name == "\u5E73\u65F6\u5E94\u916C" && option.name === "\u6BCF\u5468\u591A\u5C11\u6B21" ? {
            f: option.writeVal,
            g: common_vendor.o(($event) => $options.clearInput($event, option))
          } : {}, {
            h: i,
            i: common_vendor.o(($event) => $options.handleChoose(item, option), i)
          });
        })
      } : {}, {
        j: index
      });
    }),
    p: $data.list && $data.list.length > 0
  }, $data.list && $data.list.length > 0 ? {
    q: common_vendor.t($data.chooseIndex + 1),
    r: common_vendor.t($data.list[$data.chooseIndex].name)
  } : {}, {
    s: $data.list && $data.list.length > 0
  }, $data.list && $data.list.length > 0 ? {
    t: common_vendor.t($data.list[$data.chooseIndex].question[$data.chooseItemIdx].name)
  } : {}, {
    v: $data.focus,
    w: $data.writeVal,
    x: common_vendor.o((...args) => $options.handleinput && $options.handleinput(...args)),
    y: common_vendor.o((...args) => $options.popSubmit && $options.popSubmit(...args)),
    z: common_vendor.o($options.close),
    A: common_vendor.p({
      show: $data.show
    }),
    B: common_vendor.t(this.formType == "dietList" || this.formType == "sleepList" || this.formType == "sportList" ? "\u63D0\u4EA4" : "\u63D0\u4EA4\u5065\u5EB7\u6863\u6848"),
    C: $data.btnLoading,
    D: $data.btnLoading,
    E: common_vendor.o((...args) => $options.handelSubmit && $options.handelSubmit(...args))
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-77075806"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/healthRecords/add.vue"]]);
_sfc_main.__runtimeHooks = 2;
wx.createPage(MiniProgramPage);
