"use strict";
var common_vendor = require("../common/vendor.js");
var api_integral = require("../api/integral.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      orderId: null,
      order: null,
      item: null
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
  },
  onShow() {
    this.getIntegralOrderById();
  },
  methods: {
    getIntegralOrderById() {
      var data = { orderId: this.orderId };
      api_integral.getIntegralOrderById(data).then((res) => {
        if (res.code == 200) {
          this.order = res.data;
          this.item = JSON.parse(this.order.itemJson);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    },
    copyOrderSn(text) {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "\u5185\u5BB9\u5DF2\u6210\u529F\u590D\u5236\u5230\u526A\u5207\u677F",
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.order.status == 1
  }, $data.order.status == 1 ? {} : {}, {
    b: $data.order.status == 2
  }, $data.order.status == 2 ? {} : {}, {
    c: $data.order.status == 3
  }, $data.order.status == 3 ? {} : {}, {
    d: $data.order.status == -1
  }, $data.order.status == -1 ? {} : {}, {
    e: $data.order.userName != null
  }, $data.order.userName != null ? common_vendor.e({
    f: common_vendor.t($data.order.userName),
    g: $data.order.userPhone != null
  }, $data.order.userPhone != null ? {
    h: common_vendor.t($data.order.userPhone)
  } : {}, {
    i: common_vendor.t($data.order.userAddress)
  }) : {}, {
    j: $data.item.imgUrl == "" ? "/static/images/drug.svg" : $data.item.imgUrl,
    k: common_vendor.t($data.item.goodsName),
    l: common_vendor.t($data.item.integral),
    m: common_vendor.t($data.order.orderCode),
    n: common_vendor.o(($event) => $options.copyOrderSn($data.order.orderCode)),
    o: common_vendor.t($data.order.createTime),
    p: common_vendor.t($data.order.integral),
    q: $data.order.deliveryName != null
  }, $data.order.deliveryName != null ? {
    r: common_vendor.t($data.order.deliveryName)
  } : {}, {
    s: $data.order.deliverySn != null
  }, $data.order.deliverySn != null ? {
    t: common_vendor.t($data.order.deliverySn)
  } : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/integralOrderDetails.vue"]]);
wx.createPage(MiniProgramPage);
