"use strict";
var common_vendor = require("../../common/vendor.js");
const CustomCamera = () => "../../components/CustomCamera/WeChat/index.js";
const _sfc_main = {
  components: {
    CustomCamera
  },
  data() {
    return {
      coverImageType: "side"
    };
  },
  onLoad(options) {
    this.coverImageType = options.coverImageType;
  },
  onShareAppMessage(res) {
    return {
      title: "AI\u820C\u8BCA"
    };
  },
  onShareTimeline(res) {
    return {
      title: "AI\u820C\u8BCA"
    };
  },
  methods: {
    back() {
      common_vendor.index.switchTab({
        url: "/pages/index/index"
      });
    },
    takePhoto() {
      var url = common_vendor.index.getStorageSync("tongueUrl");
      console.log(url);
      common_vendor.index.navigateTo({
        url: "/pages_user/tongue/photoPreview?url=" + url
      });
    },
    getImage(res) {
      var url = common_vendor.index.getStorageSync("tongueUrl");
      console.log(url);
      common_vendor.index.navigateTo({
        url: "/pages_user/tongue/photoPreview?url=" + url
      });
    }
  }
};
if (!Array) {
  const _component_CustomCamera = common_vendor.resolveComponent("CustomCamera");
  _component_CustomCamera();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.sr("CustomCamera", "1032c388-0"),
    b: common_vendor.o($options.takePhoto),
    c: common_vendor.o($options.getImage)
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/tongue/index.vue"]]);
_sfc_main.__runtimeHooks = 6;
wx.createPage(MiniProgramPage);
