"use strict";
var common_vendor = require("../../common/vendor.js");
var api_healthTongue = require("../../api/healthTongue.js");
require("../../common/request.js");
const _sfc_main = {
  data() {
    return {
      type: null,
      id: null,
      isShare: null,
      avatar: null,
      item: null,
      typeList: [],
      baseUrl: common_vendor.index.getStorageSync("requestPath"),
      statusBarHeight: common_vendor.index.getSystemInfoSync().statusBarHeight + "px",
      defaultHeadimg: "/static/images/my_heads_icon.png",
      showShare: false,
      shareItem: { imageUrl: "", title: "", path: "", isMini: true },
      isLock: true,
      videoUrl: "",
      imageUrl: "",
      headerBG: "transparent"
    };
  },
  onLoad(options) {
    this.type = options.type;
    this.isShare = options.isShare;
    this.id = options.id;
    this.getHealthTongueById();
  },
  onShareAppMessage(res) {
    return {
      title: "\u820C\u82D4\u68C0\u6D4B\u62A5\u544A",
      path: "/pages_user/tongue/report?isShare=1&id=" + this.id
    };
  },
  onShareTimeline(res) {
    return {
      title: "\u820C\u82D4\u68C0\u6D4B\u62A5\u544A",
      path: "/pages_user/tongue/report?isShare=1&id=" + this.id
    };
  },
  onPageScroll(e) {
    if (e.scrollTop > 44) {
      this.headerBG = "#FF8A00";
    } else {
      this.headerBG = "transparent";
    }
  },
  methods: {
    doTongue() {
      common_vendor.index.redirectTo({
        url: "/pages/user/tongue/index"
      });
    },
    getHealthTongueById() {
      api_healthTongue.getHealthTongueById(this.id).then((res) => {
        if (res.code == 200) {
          this.isLock = res.isAddQw == 1 ? true : false;
          this.videoUrl = res.url || "";
          this.imageUrl = res.imageUrl || "";
          this.item = res.data;
          const jsoninfo = JSON.parse(this.item.typeJson);
          let index = jsoninfo.findIndex((item) => item.name === "\u7528\u836F\u8C03\u6CBB");
          if (index > -1) {
            this.typeList = jsoninfo.splice(0, index);
          } else {
            this.typeList = jsoninfo;
          }
        }
      }, (rej) => {
      });
    },
    back() {
      if (this.type != null && this.type == "back") {
        common_vendor.index.navigateBack();
      } else {
        common_vendor.index.switchTab({
          url: "/pages/index/index"
        });
      }
    },
    doShare() {
      if (this.isH5) {
        return;
      }
      this.shareItem.title = "\u820C\u82D4\u68C0\u6D4B\u62A5\u544A";
      this.shareItem.imageUrl = "";
      this.shareItem.isMini = true;
      this.shareItem.path = "/pages/user/tongue/report?isShare=1&id=" + this.id;
      let cdn = common_vendor.index.getStorageSync("h5Path");
      this.shareItem.url = cdn + this.shareItem.path;
      this.showShare = true;
    }
  }
};
if (!Array) {
  const _component_share_box = common_vendor.resolveComponent("share-box");
  const _easycom_u_popup2 = common_vendor.resolveComponent("u-popup");
  (_component_share_box + _easycom_u_popup2)();
}
const _easycom_u_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  _easycom_u_popup();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o(($event) => $options.back()),
    b: $data.headerBG,
    c: $data.baseUrl + "/images/ai_top_bg.png",
    d: $data.baseUrl + "/images/ai_top_bg.png",
    e: $data.baseUrl + "/images/ai_bottom_bg.png",
    f: $data.item != null
  }, $data.item != null ? common_vendor.e({
    g: $data.item.avatar,
    h: common_vendor.t($data.item.name),
    i: common_vendor.t($data.item.sex == 1 ? "\u7537" : "\u5973"),
    j: common_vendor.t($data.item.age),
    k: $data.baseUrl + "/images/ai_sz_img.png",
    l: common_vendor.t($data.item.createTime),
    m: common_vendor.t($data.item.typeName),
    n: common_vendor.t($data.item.typeName),
    o: $data.videoUrl
  }, $data.videoUrl ? {
    p: $data.videoUrl,
    q: $data.imageUrl
  } : {}, {
    r: common_vendor.t($data.item.taiseName),
    s: common_vendor.t($data.item.taiseDesc),
    t: common_vendor.t($data.item.shemianName),
    v: common_vendor.t($data.item.shemianDesc),
    w: common_vendor.t($data.item.botai == 1 ? "\u6709\u5265\u82D4" : "\u672A\u89C1\u5265\u82D4"),
    x: common_vendor.t($data.item.botaiDesc),
    y: common_vendor.t($data.item.liewen == 1 ? "\u6709\u88C2\u7EB9" : "\u672A\u89C1\u88C2\u7EB9"),
    z: common_vendor.t($data.item.liewenDesc),
    A: common_vendor.t($data.item.chihen == 1 ? "\u6709\u9F7F\u75D5" : "\u672A\u89C1\u9F7F\u75D5"),
    B: common_vendor.t($data.item.chihenDesc),
    C: common_vendor.f($data.typeList, (item, k0, i0) => {
      return {
        a: common_vendor.t(item.name),
        b: common_vendor.t(item.value)
      };
    }),
    D: $data.baseUrl + "/images/bxzs.jpg",
    E: common_vendor.o(($event) => $data.showShare = false),
    F: common_vendor.p({
      shareItem: $data.shareItem,
      showCopy: false
    }),
    G: common_vendor.o(($event) => $data.showShare = false),
    H: common_vendor.p({
      show: $data.showShare
    }),
    I: $data.isShare == null
  }, $data.isShare == null ? {} : {}) : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-0f562e44"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/tongue/report.vue"]]);
_sfc_main.__runtimeHooks = 7;
wx.createPage(MiniProgramPage);
